fix codesonar finding: add CLOSE(fd)
[oweals/gnunet.git] / src / gns / test_gns_at_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
17 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
18
19 TEST_IP="127.0.0.1"
20 MY_EGO="myego"
21 gnunet-arm -s -c test_gns_lookup.conf
22 gnunet-identity -C delegatedego -c test_gns_lookup.conf
23 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
24 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
25 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
26 gnunet-namestore -p -z delegatedego -a -n '@' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
27 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u b.$MY_EGO -t A -c test_gns_lookup.conf`
28 gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
29 gnunet-namestore -z delegatedego -d -n '@' -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
30 gnunet-arm -e -c test_gns_lookup.conf
31 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
32
33 if [ "$RES_IP" == "$TEST_IP" ]
34 then
35   exit 0
36 else
37   echo "Failed to resolve to proper IP, got $RES_IP."
38   exit 1
39 fi